# 0.9.9 API documenation: vector_query.hpp File Reference

vector_query.hpp File Reference

Go to the source code of this file.

## Functions

template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areCollinear (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areOrthogonal (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areOrthonormal (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | isCompNull (vec< L, T, Q > const &v, T const &epsilon)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | isNormalized (vec< L, T, Q > const &v, T const &epsilon)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | isNull (vec< L, T, Q > const &v, T const &epsilon)

## Detailed Description

GLM_GTX_vector_query

See also
  Core features (dependence)

Definition in file vector_query.hpp.